package com.usky.agbox.service.job;

import com.alibaba.fastjson.JSONObject;
import com.usky.agbox.service.util.HttpClientUtils;

import java.util.HashMap;

public class patrolAgbox {

    private static String KEY = "44c2710b-f7ff-4487-a556-bfae08232a09";
    private static String URL = "http://172.16.120.245/agbox/device/patrol";

    /**
     * 获取事件编码信息
     * @return
     */
    public static JSONObject getEventCode() {
        HashMap map = new HashMap();
        map.put("key", KEY);
        map.put("json", "{\"jsonrpc\":\"2.0\",\"method\":\"getPatrolEventCode\"}");
        String resultString = HttpClientUtils.doPost(URL,map);
        JSONObject resultVO = JSONObject.parseObject(resultString);
        return resultVO;
    }

    /**
     * 获取设备列表信息
     * @return
     */
    public static JSONObject getDeviceList() {
        HashMap map = new HashMap();
        map.put("key", KEY);
        map.put("json", "{\"jsonrpc\":\"2.0\",\"method\":\"getDeviceList\"}");
        String resultString = HttpClientUtils.doPost(URL,map);
        JSONObject resultVO = JSONObject.parseObject(resultString);
        return resultVO;
    }

    /**
     * 添加事件信息
     * @return
     */
    public static JSONObject addEvent(String requestBody) {
        JSONObject eventVO = JSONObject.parseObject(requestBody);
        HashMap map = new HashMap();
        map.put("key", KEY);
        map.put("json", "{\"jsonrpc\":\"2.0\",\"method\":\"addEvent\",\"params\":{\"deviceId\":\""+eventVO.get("deviceId").toString()+"\"," +
                "\"triggerTime\":\""+eventVO.get("triggerTime").toString()+"\",\"eventCode\":"+eventVO.get("eventCode")+",\"name" +
                "\":\""+eventVO.get("name").toString()+"\",\"certifiedNo\":\""+eventVO.get("certifiedNo").toString()+"\"}}");
        String resultString = HttpClientUtils.doPost(URL,map);
        JSONObject resultVO = JSONObject.parseObject(resultString);
        return resultVO;
    }

    /**
     * 更新心跳信息
     * @return
     */
    public static JSONObject updateHeart(String requestBody) {
        JSONObject eventVO = JSONObject.parseObject(requestBody);
        HashMap map = new HashMap();
        map.put("key", KEY);
        map.put("json",
                "{\"jsonrpc\":\"2.0\",\"method\":\"updateHeart\",\"params\":{\"deviceId\":\""+eventVO.get("deviceId").toString()+"\"}}");
        String resultString = HttpClientUtils.doPost(URL,map);
        JSONObject resultVO = JSONObject.parseObject(resultString);
        return resultVO;
    }

    /**
     * 获取事件信息
     * @return
     */
    public static JSONObject getEvent(String requestBody) {
        JSONObject eventVO = JSONObject.parseObject(requestBody);
        HashMap map = new HashMap();
        map.put("key", KEY);
        map.put("json", "{\"jsonrpc\":\"2.0\",\"method\":\"getEvent\",\"params\":{\"eventId\":\""+eventVO.get("eventId").toString()+"\"}}");
        String resultString = HttpClientUtils.doPost(URL,map);
        JSONObject resultVO = JSONObject.parseObject(resultString);
        return resultVO;
    }
}
